### Name: getName-methods
### Title: Get 'name' attribute
### Aliases: getName getName-methods getName,KEGGEdgeSubtype-method
###   getName,KEGGNode-method getName,KEGGPathwayInfo-method
### Keywords: methods

### ** Examples

sfile <- system.file("extdata/hsa04010.xml",package="KEGGgraph")
pathway <- parseKGML(sfile)

## get pathway name
getName(pathway)

## get node name
nodes <- nodes(pathway)
getName(nodes[[2]])

## get edge name: it is not informative since the nodes are identified
## with file-dependent indices
edges <- edges(pathway)
getName(edges[[7]])

## get subtype name
subtype <- getSubtype(edges[[2]])[[1]]
getName(subtype)



